API DocumentationManufacturer customer controller

Get customers with filtering

GET
/api/manufacturer/v1/customer/paginated

Retrieves a paginated list of customers with optional filtering and search using RSQL

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Query Parameters

filter*string

filter specification

page?integer

Zero-based page index (0..N)

Range0 <= value
Default0
size?integer

The size of the page to be returned

Range1 <= value
Default30
sort?array<string>

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Default
[  "updateDt,DESC"]
search?string

Optional search term

Response Body

Customers retrieved successfully

application/json
  1. response
content*array<unknown>
totalElements*integer
totalPages*integer
pageNumber*integer
pageSize*integer
isEmpty*boolean
isFirst*boolean
isLast*boolean
curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/customer/paginated?filter=string'
{  "content": [    null  ],  "totalElements": 0,  "totalPages": 0,  "pageNumber": 0,  "pageSize": 0,  "isEmpty": true,  "isFirst": true,  "isLast": true}

Last updated on